import processing.sound.*;

SoundFile spaceSound;
SoundFile upSound;
SoundFile downSound;
SoundFile rightSound;
SoundFile leftSound;

PImage img;

void setup() {
  size(842, 435);
  background(255);
  
  img = loadImage("makeymakeyclassic.png");

  // Load a soundfile
  spaceSound = new SoundFile(this, "space.wav");
  upSound = new SoundFile(this, "up.wav");
  downSound = new SoundFile(this, "down.wav");
  rightSound = new SoundFile(this, "right.wav");
  leftSound = new SoundFile(this, "left.wav"); 
}  

void draw() {
  image(img,0,0);
}

void keyPressed() {
  if (key == CODED) {
    if (keyCode == UP) {
      if(!upSound.isPlaying()) upSound.play(0);
    }
    else if (keyCode == DOWN) {
      if(!downSound.isPlaying()) downSound.play(0);
    }
    else if (keyCode == RIGHT) {
      if(!rightSound.isPlaying()) rightSound.play(0);
    }
    else if (keyCode == LEFT) {
      if(!leftSound.isPlaying()) leftSound.play(0);
    }
  }
  else if (key == ' ') {
    if(!spaceSound.isPlaying()) spaceSound.play();
  }
}